Bug 1095580 - [kernel] kernel-models-extra cannot be installed because a newer one is already installed
[kernel] kernel-models-extra cannot be installed because a newer one is alrea...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-08 00:49 EDT by Chris Murphy
Modified: 2014-09-30 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.0.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-31 19:57:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata.tar (6.76 MB, application/x-tar)
2014-05-08 00:49 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2014-05-08 00:49:47 EDT
Created attachment 893508 [details]
debugdata.tar

Description of problem: I have an rawhide kernel and drivers installed, but need to install a newer version of a previous kernel and drivers, but dnf won't allow it.


Version-Release number of selected component (if applicable):
dnf-0.5.1-1.fc20.noarch
hawkey-0.4.14-1.fc20.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Following kernels are already installed:
kernel-core-3.15.0-0.rc4.git0.1.fc21.x86_64
kernel-modules-extra-3.15.0-0.rc4.git0.1.fc21.x86_64
kernel-3.13.10-200.fc20.x86_64
kernel-modules-3.15.0-0.rc4.git0.1.fc21.x86_64

2. Download from koji:
kernel-3.14.3-200.fc20.x86_64.rpm
kernel-modules-extra-3.14.3-200.fc20.x86_64.rpm

3. dnf install *rpm (these are the only two rpms in the current directory)

Actual results:

Error: Transaction check error:
  package kernel-modules-extra-3.15.0-0.rc4.git0.1.fc21.x86_64 (which is newer than kernel-modules-extra-3.14.3-200.fc20.x86_64) is already installed


Expected results:

It should be possible to install both this kernel and its modules-extra.


Additional info:
Comment 1 Chris Murphy 2014-05-08 00:54:20 EDT
Maybe this is a kernel packaging problem, confusion resulting from recent kernel-core + etc change? rpm also complains

rpm -ivh *rpm
Preparing...                          ################################# [100%]
	package kernel-modules-extra-3.15.0-0.rc4.git0.1.fc21.x86_64 (which is newer than kernel-modules-extra-3.14.3-200.fc20.x86_64) is already installed


# yum install *rpm
Loaded plugins: langpacks, refresh-packagekit
Examining kernel-3.14.3-200.fc20.x86_64.rpm: kernel-3.14.3-200.fc20.x86_64
Examining kernel-modules-extra-3.14.3-200.fc20.x86_64.rpm: kernel-modules-extra-3.14.3-200.fc20.x86_64
Error: Nothing to do


I know I've done this successfully in the past because I bounce around with newer and older kernels all the time. But I think this is not specifially a dnf bug. Kernel?
Comment 2 Ales Kozumplik 2014-05-09 02:46:41 EDT
Thanks for the report, we'll take a look.
Comment 3 Ales Kozumplik 2014-05-12 09:43:13 EDT
This affects DNF 0.5.0 and 0.5.1 and is likely to cause problems when updating kernels and related packages. None of the relevant releases were pushed to F20. Fixed upstream by 22076d2.
Comment 4 Fedora Update System 2014-05-28 08:09:13 EDT
dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsolv-0.6.1-1.git6d968f1.fc20,hawkey-0.4.16-1.fc20,dnf-0.5.2-1.fc20,dnf-plugins-core-0.0.8-2.fc20
Comment 5 Fedora Update System 2014-05-28 19:49:08 EDT
Package dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.0.8-2.fc20 libsolv-0.6.1-1.git6d968f1.fc20 hawkey-0.4.16-1.fc20 dnf-0.5.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6789/libsolv-0.6.1-1.git6d968f1.fc20,hawkey-0.4.16-1.fc20,dnf-0.5.2-1.fc20,dnf-plugins-core-0.0.8-2.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-05-31 19:57:40 EDT
dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.